# std::basic_string_view<CharT,Traits>::operator=

From cppreference.com
< cpp‎ | string‎ | basic string view

constexpr basic_string_view& operator=( const basic_string_view& view ) noexcept = default; |  | (since C++17)

Replaces the view with that of `view`.

### Parameters

view | - | view to copy

### Return value

*this

### Complexity

Constant.

### Example

Run this code

    #include <iostream>
    #include <string_view>
    int main()
    {
        std::string_view v = "Hello, world";
        v = v.substr(7);
        std::cout << v << '\n';
    }

Output:

    world

### See also

(constructor) | constructs a `basic_string_view` (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/string/basic_string_view/operator%3D&oldid=105478"